--- glibc-2.5/ports/sysdeps/arm/eabi/fesetenv.c.orig	2006-12-07 01:18:14.000000000 +0000
+++ glibc-2.5/ports/sysdeps/arm/eabi/fesetenv.c	2006-12-07 01:18:59.000000000 +0000
@@ -23,7 +23,8 @@
 #include <unistd.h>
 #include <ldsodefs.h>
 #include <dl-procinfo.h>
-#include <asm/procinfo.h>
+//#include <asm/procinfo.h>
+#define HWCAP_VFP 64
 
 int
 __fesetenv (const fenv_t *envp)
--- glibc-2.5/ports/sysdeps/arm/eabi/feholdexcpt.c.orig	2006-12-07 01:18:14.000000000 +0000
+++ glibc-2.5/ports/sysdeps/arm/eabi/feholdexcpt.c	2006-12-07 01:18:55.000000000 +0000
@@ -23,7 +23,8 @@
 #include <unistd.h>
 #include <ldsodefs.h>
 #include <dl-procinfo.h>
-#include <asm/procinfo.h>
+//#include <asm/procinfo.h>
+#define HWCAP_VFP 64
 
 int
 feholdexcept (fenv_t *envp)
--- glibc-2.5/ports/sysdeps/arm/eabi/feenablxcpt.c.orig	2006-12-07 01:18:14.000000000 +0000
+++ glibc-2.5/ports/sysdeps/arm/eabi/feenablxcpt.c	2006-12-07 01:18:41.000000000 +0000
@@ -24,7 +24,8 @@
 #include <unistd.h>
 #include <ldsodefs.h>
 #include <dl-procinfo.h>
-#include <asm/procinfo.h>
+//#include <asm/procinfo.h>
+#define HWCAP_VFP 64
 
 int
 feenableexcept (int excepts)
--- glibc-2.5/ports/sysdeps/arm/eabi/fegetenv.c.orig	2006-12-07 01:18:14.000000000 +0000
+++ glibc-2.5/ports/sysdeps/arm/eabi/fegetenv.c	2006-12-07 01:18:45.000000000 +0000
@@ -23,7 +23,8 @@
 #include <unistd.h>
 #include <ldsodefs.h>
 #include <dl-procinfo.h>
-#include <asm/procinfo.h>
+//#include <asm/procinfo.h>
+#define HWCAP_VFP 64
 
 int
 __fegetenv (fenv_t *envp)
--- glibc-2.5/ports/sysdeps/arm/eabi/fegetexcept.c.orig	2006-12-07 01:18:14.000000000 +0000
+++ glibc-2.5/ports/sysdeps/arm/eabi/fegetexcept.c	2006-12-07 01:18:48.000000000 +0000
@@ -24,7 +24,8 @@
 #include <unistd.h>
 #include <ldsodefs.h>
 #include <dl-procinfo.h>
-#include <asm/procinfo.h>
+//#include <asm/procinfo.h>
+#define HWCAP_VFP 64
 
 int
 fegetexcept (void)
--- glibc-2.5/ports/sysdeps/arm/eabi/setfpucw.c.orig	2006-12-06 18:30:02.000000000 +0000
+++ glibc-2.5/ports/sysdeps/arm/eabi/setfpucw.c	2006-12-06 18:42:24.000000000 +0000
@@ -23,7 +23,8 @@
 #include <unistd.h>
 #include <ldsodefs.h>
 #include <dl-procinfo.h>
-#include <asm/procinfo.h>
+//#include <asm/procinfo.h>
+#define HWCAP_VFP 64
 
 void
 __setfpucw (fpu_control_t set)
--- glibc-2.5/ports/sysdeps/arm/eabi/ftestexcept.c.orig	2006-12-07 01:18:15.000000000 +0000
+++ glibc-2.5/ports/sysdeps/arm/eabi/ftestexcept.c	2006-12-07 01:19:13.000000000 +0000
@@ -23,7 +23,8 @@
 #include <unistd.h>
 #include <ldsodefs.h>
 #include <dl-procinfo.h>
-#include <asm/procinfo.h>
+//#include <asm/procinfo.h>
+#define HWCAP_VFP 64
 
 int
 fetestexcept (int excepts)
--- glibc-2.5/ports/sysdeps/arm/eabi/fesetround.c.orig	2006-12-07 01:18:14.000000000 +0000
+++ glibc-2.5/ports/sysdeps/arm/eabi/fesetround.c	2006-12-07 01:19:02.000000000 +0000
@@ -23,7 +23,8 @@
 #include <unistd.h>
 #include <ldsodefs.h>
 #include <dl-procinfo.h>
-#include <asm/procinfo.h>
+//#include <asm/procinfo.h>
+#define HWCAP_VFP 64
 
 int
 fesetround (int round)
--- glibc-2.5/ports/sysdeps/arm/eabi/fclrexcpt.c.orig	2006-12-07 01:06:25.000000000 +0000
+++ glibc-2.5/ports/sysdeps/arm/eabi/fclrexcpt.c	2006-12-07 01:06:44.000000000 +0000
@@ -23,7 +23,8 @@
 #include <unistd.h>
 #include <ldsodefs.h>
 #include <dl-procinfo.h>
-#include <asm/procinfo.h>
+//#include <asm/procinfo.h>
+#define HWCAP_VFP 64
 
 int
 __feclearexcept (int excepts)
--- glibc-2.5/ports/sysdeps/arm/eabi/fsetexcptflg.c.orig	2006-12-07 01:18:14.000000000 +0000
+++ glibc-2.5/ports/sysdeps/arm/eabi/fsetexcptflg.c	2006-12-07 01:19:10.000000000 +0000
@@ -24,7 +24,8 @@
 #include <unistd.h>
 #include <ldsodefs.h>
 #include <dl-procinfo.h>
-#include <asm/procinfo.h>
+//#include <asm/procinfo.h>
+#define HWCAP_VFP 64
 
 int
 __fesetexceptflag (const fexcept_t *flagp, int excepts)
--- glibc-2.5/ports/sysdeps/arm/eabi/fegetround.c.orig	2006-12-07 01:18:14.000000000 +0000
+++ glibc-2.5/ports/sysdeps/arm/eabi/fegetround.c	2006-12-07 01:18:51.000000000 +0000
@@ -23,7 +23,8 @@
 #include <unistd.h>
 #include <ldsodefs.h>
 #include <dl-procinfo.h>
-#include <asm/procinfo.h>
+//#include <asm/procinfo.h>
+#define HWCAP_VFP 64
 
 int
 fegetround (void)
--- glibc-2.5/ports/sysdeps/arm/eabi/fraiseexcpt.c.orig	2006-12-07 01:18:14.000000000 +0000
+++ glibc-2.5/ports/sysdeps/arm/eabi/fraiseexcpt.c	2006-12-07 01:19:05.000000000 +0000
@@ -24,7 +24,8 @@
 #include <unistd.h>
 #include <ldsodefs.h>
 #include <dl-procinfo.h>
-#include <asm/procinfo.h>
+//#include <asm/procinfo.h>
+#define HWCAP_VFP 64
 
 int
 feraiseexcept (int excepts)
--- glibc-2.5/ports/sysdeps/arm/eabi/fedisblxcpt.c.orig	2006-12-07 01:18:14.000000000 +0000
+++ glibc-2.5/ports/sysdeps/arm/eabi/fedisblxcpt.c	2006-12-07 01:18:37.000000000 +0000
@@ -24,7 +24,8 @@
 #include <unistd.h>
 #include <ldsodefs.h>
 #include <dl-procinfo.h>
-#include <asm/procinfo.h>
+//#include <asm/procinfo.h>
+#define HWCAP_VFP 64
 
 int
 fedisableexcept (int excepts)
